## libgap-sage 4.8.6+3+20160327g69a66f0+dsx

=== debian/changelog ===
libgap-sage (4.8.6+3+20160327g69a66f0+dsx-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 08 Mar 2017 22:09:14 +0100

libgap-sage (4.8.6+3+20160327g69a66f0+dsx-2) unstable; urgency=medium

  * Bug fix release (See: #844789) / Debianization:
    - debian/patches/*:
      - d/p/gap-ds-upstream-upstream-fix-buffering.patch, import (and adapt)
        from GAP Debian material version 4r8p6-2 .

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 18 Dec 2016 19:07:57 +0000

libgap-sage (4.8.6+3+20160327g69a66f0+dsx-1) unstable; urgency=medium

  * New GAP upstream minor/patch release.
  * Debianization:
    - debian/control, update;
    - debian/get-orig-source.sh, link g/s/gap4r8p<PATCH> to g/s/gap4r8 ;
    - debian/patches/*:
      - d/p/gap-ds-upstream-*.patch, import (and adapt) from GAP Debian
        material version 4r8p6-1 ;
      - refresh;
    - debian/libgap-sage-4.symbols.{common,amd64}, upgrade.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 18 Nov 2016 06:46:04 +0000

libgap-sage (4.8.5+3+20160327g69a66f0+dsx-3) unstable; urgency=medium

  * Fix Release Critical bug caused by architecture dependent symbols,
    (Closes: #844090), second attempt.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 13 Nov 2016 07:33:46 +0000

libgap-sage (4.8.5+3+20160327g69a66f0+dsx-2) unstable; urgency=medium

  * Fix Release Critical bug caused by architecture dependent symbols
    (Closes: #844090).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 12 Nov 2016 21:35:53 +0000

libgap-sage (4.8.5+3+20160327g69a66f0+dsx-1) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - debian/control, refresh;
    - debian/rules, refresh and improve;
    - debian/get-orig-source.sh:
      - upstream GAP-core material, now fetch as-is directly from
        http://www.gap-system.org/;
      - upstream libGAP material, discard patched GAP-core material;
    - debian/copyright, refresh and clarify;
    - debian/patches/:
      - d/p/upstream-autotoolization-autoconf-srcdir-truly_libgap.patch,
        introduce and submit;
      - d/p/upstream-hacking-upgrade-version.patch, introduce;
      - refresh;
    - debian/watch, clean-up;
    - debian/source/lintian-overrides, revisit.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 12 Nov 2016 04:10:25 +0000

libgap-sage (4.8.3+g69a66f0+dsx-1) experimental; urgency=medium

  * Initial release (Closes: #833406).

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 17 Aug 2016 00:27:15 +0000
