=== debian/tests/control ===
Tests: build-examples
Depends: libgap-sage-doc, libgap-sage-dev, pkg-config, build-essential
