## libgap-sage 4.8.7+3+20160327g69a66f0+dsx

=== debian/changelog ===
libgap-sage (4.8.7+3+20160327g69a66f0+dsx-1) unstable; urgency=medium

  * New GAP upstream minor/patch release (Closes: #869160).
  * Debianization:
    - debian/copyright, refresh;
    - debian/control, update;
    - debian/patches/*:
      - d/p/gap-ds-upstream-upstream-fix-buffering.patch, discarded;
      - d/p/debianization-fix-perl_transition.patch, introduce,
      - refresh;
    - debian/tests/control, adjust Depends field;
    - debian/adhoc/examples/Makefile, harden;
    - refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 22 Jul 2017 15:11:06 +0000
