=== debian/control ===
Source: libgap-sage
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
 debhelper (>= 9), dh-autoreconf, libtool, python-ply,
 gap (>= 4r8p7), gap (<< 4r8p8),
 libgmp-dev
Build-Depends-Indep:
Standards-Version: 3.9.8
Homepage: https://bitbucket.org/vbraun/libgap
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/libgap-sage.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/libgap-sage.git

Package: libgap-sage-4
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 gap (>= 4r8p7), gap (<< 4r8p8),
 ${shlibs:Depends}, ${misc:Depends}
Description: GAP kernel as a C shared library -- lib
 GAP is a system for computational group theory. LibGAP contains a shared
 library version of the GAP kernel, allowing you to directly talk to GAP
 from your own C/C++ code.
 .
 Much of the group theory in SageMath is implemented using LibGAP.
 .
 This package provides the dynamic library.

Package: libgap-sage-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libgap-sage-4 (= ${binary:Version}), ${misc:Depends}
Recommends: pkg-config
Suggests: libgap-sage-doc
Description: GAP kernel as a C shared library -- libdev
 GAP is a system for computational group theory. LibGAP contains a shared
 library version of the GAP kernel, allowing you to directly talk to GAP
 from your own C/C++ code.
 .
 Much of the group theory in SageMath is implemented using LibGAP.
 .
 This package provides the static library, symbolic links, and headers needed
 for development.

Package: libgap-sage-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: pdf-viewer
Enhances: libgap-sage-dev
Description: GAP kernel as a C shared library -- doc
 GAP is a system for computational group theory. LibGAP contains a shared
 library version of the GAP kernel, allowing you to directly talk to GAP
 from your own C/C++ code.
 .
 Much of the group theory in SageMath is implemented using LibGAP.
 .
 This package provides documentation and examples.
