## libgap-sage 4.8.8+3+20160327g69a66f0+dsx

=== debian/changelog ===
libgap-sage (4.8.8+3+20160327g69a66f0+dsx-1) unstable; urgency=medium

  * New GAP upstream minor/patch release.
  * Debianization:
    - debian/control:
      - debhelper, bump to 10;
      - Standards Version, bump to 4.1.0 (no change);
    - debian/rules, use pkg-info.mk ;
    - debian/patches/*:
      - refresh;
    - debian/get-orig-source.sh, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 19 Sep 2017 13:04:26 +0000
