=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Build-Depends:
- debhelper (>= 9), dh-autoreconf, libtool, python-ply,
- gap (>= 4r8p7), gap (<< 4r8p8),
+ debhelper (>= 10), libtool, python-ply,
+ gap (>= 4r8p8), gap (<< 4r8p9),
  libgmp-dev
 Build-Depends-Indep:
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://bitbucket.org/vbraun/libgap
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/libgap-sage.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/libgap-sage.git
@@ -19,7 +19,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- gap (>= 4r8p7), gap (<< 4r8p8),
+ gap (>= 4r8p8), gap (<< 4r8p9),
  ${shlibs:Depends}, ${misc:Depends}
 Description: GAP kernel as a C shared library -- lib
  GAP is a system for computational group theory. LibGAP contains a shared
