=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,11 @@
 #!/usr/bin/make -f
+include /usr/share/dpkg/pkg-info.mk
 
 CGAP = /usr/bin/gap
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
-DEB_PKG_VERSION := $(shell dpkg-parsechangelog -S Version)
+DEB_PKG_VERSION := $(DEB_VERSION)
 DEB_PKG_DOTVERSION :=   $(word 1,$(subst +, ,$(DEB_PKG_VERSION)))
 DEB_PKG_VERSION_NANO := $(word 2,$(subst +, ,$(DEB_PKG_VERSION)))
 UPS_PKG_GIT_EPOCH :=    $(word 3,$(subst +, ,$(DEB_PKG_VERSION)))
