=== debian/tests/control ===
Tests: build-examples
Depends: libgap-sage-doc, gap-small-groups, libgap-sage-dev, pkg-config, build-essential
