=== debian/watch ===
# The Debian Source ball with eXtra material is not created with uscan(1) but
# with the ad-hoc SHell script debian/get-orig-source.sh which is meant to be
# invoked by debian/rules via the target get-orig-source .
